package test.org.seasar.framework.aop;

import test.org.seasar.framework.aop.interceptors.InterceptorsAllTests;
import test.org.seasar.framework.aop.impl.AopImplAllTests;
import test.org.seasar.framework.aop.javassist.AopJavassistAllTests;
import test.org.seasar.framework.aop.proxy.AopProxyAllTests;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class AopAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(AopAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.aop");
		//$JUnit-BEGIN$
		suite.addTest(InterceptorsAllTests.suite());
		suite.addTest(AopImplAllTests.suite());
		suite.addTest(AopProxyAllTests.suite());
		suite.addTest(AopJavassistAllTests.suite());
		//$JUnit-END$
		return suite;
	}
}
